#include <Windows.h>

int APIENTRY wWinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPWSTR lpCmdLine,int nCmdShow){
  int argc=0;
  WCHAR**argv=CommandLineToArgvW(GetCommandLineW(),&argc);

  if (argc != 2)
    return 1;

  WCHAR const *pathToIniFile = argv[1];

  int horzRes = GetPrivateProfileInt(L"Document", L"HorizontalResolution", 0, pathToIniFile);
  int vertRes = GetPrivateProfileInt(L"Document", L"VerticalResolution", 0, pathToIniFile);

  int paperWidth = GetPrivateProfileInt(L"Document", L"PaperWidth", 0, pathToIniFile);
  int paperLength = GetPrivateProfileInt(L"Document", L"PaperLength", 0, pathToIniFile);

  if (horzRes > 300 || vertRes > 300 || paperWidth > 2286 || paperLength > 3048){
    // skip conversion
    WritePrivateProfileString(L"Preconverting", L"Status", L"canceled", pathToIniFile);
  }
  else{
    // accept conversion
    WritePrivateProfileString(L"Preconverting", L"Status", L"resumed", pathToIniFile);
  }

  return 0;
}
